worker (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1
  * Build-Depend on avfs (>= 1.2.0) to ensure time_t transition
  * Run wrap-and-sort -astbk
  * Update d/copyright
  * Enable Salsa CI
  * Update Standards-Version to 4.7.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 21 Feb 2025 12:28:18 +0100

worker (4.12.1-1) unstable; urgency=medium

  * New upstream version 4.12.1
    - Refresh patches
    - Drop 0003-Add-metainfo-XML-file.patch, applied upstream
    - Drop 0004-Unify-metainfo.xml-and-.desktop-file.patch, applied upstream
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright
  * Update to liblua5.4-dev (Closes: #1050634)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 27 Aug 2023 21:26:02 +0200

worker (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
    - Add metainfo to installation
    - Add metainfo XML file
  * Add gbp.conf
  * Minimize upstream's GPG key
  * Update d/copyright
  * Update Standards-Version to 4.6.1, no changes needed
  * Add Rules-Requires-Root: no
  * Use debhelper v13
    - Ignore missing installation of XPM icons
  * Remove unnecessary --as-needed linker flag

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 31 Oct 2022 15:21:53 +0100

worker (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
    - Drop two patches, have been applied upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 15 Apr 2020 15:33:18 +0200

worker (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
    - Add two patches to remove dbus-glib and use dbus
  * Build-Depend on libdbus-1-dev instead of libdbus-glib-1-dev.
    (Closes: #955854)
  * Update Standards-Version to 4.5.0, no changes needed
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 05 Apr 2020 23:27:41 +0200

worker (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Update d/copyright
  * Update Standards-Version to 4.4.0, no changes needed
  * Apply fixes from cme fix dpkg

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 29 Aug 2019 14:52:37 +0200

worker (3.15.4-1) unstable; urgency=medium

  * New upstream version 3.15.4
    - Add Suggest for Python3, as the package now ships a Python script
    - New patch to use Python 3
  * Update d/copyright
  * Switch to version 4 for d/watch
  * Update to Standards-Version 4.3.0, no changes needed
  * Use debhelper-compat (= 12)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 06 Feb 2019 16:15:51 +0100

worker (3.14.0-2) unstable; urgency=medium

  * Use debhelper v11
  * Update d/copyright
  * Switch Vcs-URLs to salsa.d.o
  * Update to Standards-Version 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Jan 2018 17:28:57 +0100

worker (3.14.0-1) unstable; urgency=medium

  * New upstream version 3.14.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 14 Dec 2017 16:06:09 +0100

worker (3.13.0-1) unstable; urgency=medium

  * New upstream version 3.13.0
  * Update Standards-Version to 4.1.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Nov 2017 16:50:31 +0100

worker (3.12.0-1) unstable; urgency=medium

  * New upstream version 3.12.0
  * Add upstream signing key to d/upstream/
  * Remove binary signing key of upstream
  * Update Standards-Version to 4.1.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 17 Sep 2017 17:08:18 +0200

worker (3.11.0-1) unstable; urgency=medium

  * New upstream version 3.11.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 26 Jul 2017 22:01:12 +0200

worker (3.10.0-1) unstable; urgency=medium

  * New upstream version 3.10.0
  * Update d/copyright
  * Update Standards-Version to 4.0.0
    - Use HTTPS for copyright-format URL in d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 21 Jun 2017 11:16:36 +0200

worker (3.8.5-2) unstable; urgency=medium

  * Enable unit testing

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 10 Jan 2017 10:45:05 +0100

worker (3.8.5-1) unstable; urgency=medium

  * Imported Upstream version 3.8.5

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 10 Jan 2017 10:16:33 +0100

worker (3.8.4-1) unstable; urgency=medium

  * Imported Upstream version 3.8.4
    - Remove patches, have been applied upstream
  * Use Multi-Arch: foreign for worker-data
  * Use debhelper v10 and remove dh-autoreconf
  * Add Worker.png, converted from Icons/Worker.xpm

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 19 Sep 2016 18:07:13 +0200

worker (3.8.3-2) unstable; urgency=medium

  * Fix FTBFS on Hurd, remove MAXPATHLEN

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 07 May 2016 16:53:11 +0200

worker (3.8.3-1) unstable; urgency=medium

  * Imported Upstream version 3.8.3
  * Update to Standards-Version 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 01 May 2016 17:08:47 +0200

worker (3.8.2-1) unstable; urgency=medium

  * Imported Upstream version 3.8.2
  * Update copyright years
  * Update Vcs-* URLS
  * Remove d/menu
  * Add patch to fix typo

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 02 Feb 2016 14:05:36 +0100

worker (3.8.1-1) unstable; urgency=medium

  * Imported Upstream version 3.8.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 21 Nov 2015 07:23:59 +0100

worker (3.8.0-1) unstable; urgency=medium

  * Imported Upstream version 3.8.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Jul 2015 15:07:49 +0200

worker (3.7.1-1) unstable; urgency=medium

  * Imported Upstream version 3.7.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 08 Jun 2015 21:41:40 +0200

worker (3.6.2-1) unstable; urgency=low

  * Imported Upstream version 3.6.2
  * Update copyright
  * Update to Standards-Version 3.9.6, no changes needed
  * Add to Build-Depends:
    - libdbus-glib-1-dev for DBUS support
    - liblua5.2-dev to support programmable info lines

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 26 Apr 2015 23:17:26 +0200

worker (3.4.1-1) unstable; urgency=low

  * Imported Upstream version 3.4.1
  * Fix regexp for tarballs in watch file

 -- Tobias Quathamer <toddy@debian.org>  Mon, 23 Jun 2014 11:29:22 +0200

worker (3.3.3-2) unstable; urgency=low

  * Add liblzma-dev to Build-Depends for ppc64el.
    Thanks to Breno Leitao <brenohl@br.ibm.com> (Closes: #746512)
  * Add upstream signing key and use uscan to check signatures

 -- Tobias Quathamer <toddy@debian.org>  Thu, 01 May 2014 15:59:05 +0200

worker (3.3.3-1) unstable; urgency=low

  * Imported Upstream version 3.3.3
  * Use correct flag DEB_LDFLAGS_MAINT_APPEND in debian/rules
  * Build depend on dh-autoreconf and use it to update autotools files

 -- Tobias Quathamer <toddy@debian.org>  Thu, 20 Mar 2014 10:37:52 +0100

worker (3.3.0-1) unstable; urgency=low

  * Imported Upstream version 3.3.0
    - The program is now linked against libdl. Closes: #736819
  * Update URL for online documentation in README.Debian
  * Update to Standards-Version 3.9.5, no changes needed
  * Update years in debian/copyright
  * Remove --enable-xft from configuration, is now enabled by default
  * Link program with -Wl,--as-needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 05 Mar 2014 21:34:11 +0100

worker (2.19.6-1) unstable; urgency=low

  * Imported Upstream version 2.19.6
  * Remove typo patch, has been applied upstream
  * Update debian/watch, thanks to Bart Martens
  * Increase Standards-Version to 3.9.4, no changes needed
  * Update copyright year

 -- Tobias Quathamer <toddy@debian.org>  Fri, 17 May 2013 22:33:37 +0200

worker (2.19.2-2) unstable; urgency=low

  * Add libxft-dev to Build-Depends.
    Thanks to Ivan Krylov <krylov.r00t@gmail.com>

 -- Tobias Quathamer <toddy@debian.org>  Sun, 10 Jun 2012 13:29:52 +0200

worker (2.19.2-1) unstable; urgency=low

  * Imported Upstream version 2.19.2
  * Enable all hardening features
  * Enable XFT font library support.
    Thanks to Ivan Krylov <krylov.r00t@gmail.com> (Closes: #662232)
  * Add URLs for Debian packaging repository
  * Add patch to fix a typo

 -- Tobias Quathamer <toddy@debian.org>  Wed, 16 May 2012 10:10:12 +0200

worker (2.19.1-1) unstable; urgency=low

  * Imported Upstream version 2.19.1
  * Remove Replaces worker (<< 2.16.5-2)
  * Use a machine-readable debian/copyright file, version 1.0
  * Switch to official debhelper v9
  * Update Standards-Version to 3.9.3

 -- Tobias Quathamer <toddy@debian.org>  Wed, 29 Feb 2012 12:15:40 +0100

worker (2.18.1-1) unstable; urgency=low

  * New upstream version
  * Use debhelper version 9
  * Remove hardening-wrapper from Build-Depends, is now enabled by default
  * Remove paragraph about this from README.Debian

 -- Tobias Quathamer <toddy@debian.org>  Sun, 09 Oct 2011 14:43:58 +0200

worker (2.17.13-1) unstable; urgency=low

  * New upstream version
  * Add avfs support. Closes: #630786
  * Update Standards-Version to 3.9.2, no changes needed
  * Update debian/README.Debian
  * Remove unreliable configure checks from debian/rules

 -- Tobias Quathamer <toddy@debian.org>  Sat, 09 Jul 2011 23:58:04 +0200

worker (2.17.11-1) unstable; urgency=low

  * New upstream version
  * Remove debian/README.source, which is no longer needed

 -- Tobias Quathamer <toddy@debian.org>  Sun, 03 Apr 2011 21:59:22 +0200

worker (2.17.10-1) unstable; urgency=low

  * New upstream version
  * Remove debian/worker.desktop file, has been included upstream
  * Remove patch to configure.ac script, it's no longer necessary
  * Use debhelper v8
  * Use override target in debian/rules
  * Update years in debian/copyright
  * Update watch file to version 3
  * Update Standards-Version to 3.9.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 23 Feb 2011 00:47:58 +0100

worker (2.17.8-1) unstable; urgency=low

  * New upstream version
  * debian/menu: Use upstream's pixmap names instead of renaming the
    menu icons, so the debhelper install target can be used
  * debian/rules: Remove standard targets to better use debhelper v7
  * Add debian/worker.desktop file and submit it upstream
  * Update Standards-Version to 3.9.0, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 30 Jun 2010 16:24:48 +0200

worker (2.17.6-1) unstable; urgency=low

  * New upstream version
  * Update years in debian/copyright
  * Update Standards-Version to 3.8.4, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Wed, 03 Mar 2010 20:58:56 +0100

worker (2.17.5-1) unstable; urgency=low

  * New Upstream Version
  * Switch to dpkg source format 3.0 (quilt)
  * Update Standards-Version to 3.8.3, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Thu, 19 Nov 2009 09:43:27 +0100

worker (2.17.4-1) unstable; urgency=low

  * New Upstream Version
  * Update Standards-Version to 3.8.2, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Thu, 25 Jun 2009 09:35:20 +0200

worker (2.17.3-1) unstable; urgency=low

  * New upstream version
  * Use debhelper version 7
    - Reduce debian/rules
    - Remove debian/dirs and debian/worker-data.dirs
    - Add debian/worker.install and debian/worker-data.install
  * Update copyright years
  * Remove autotools-dev from Build-Depends, config.{guess,sub} are not
    needed
  * Update Standards-Version to 3.8.1, no changes needed

 -- Tobias Quathamer <toddy@debian.org>  Fri, 13 Mar 2009 08:34:58 +0100

worker (2.17.1-1) unstable; urgency=low

  * New Upstream Version

 -- Tobias Quathamer <toddy@debian.org>  Thu, 01 Jan 2009 17:07:00 +0100

worker (2.17.0-1) unstable; urgency=low

  * New Upstream Version

 -- Tobias Quathamer <toddy@debian.org>  Wed, 19 Nov 2008 16:46:14 +0100

worker (2.16.5-2) unstable; urgency=low

  * Change maintainer name
  * Split package into worker and worker-data to separate architecture
    independent configuration files

 -- Tobias Quathamer <toddy@debian.org>  Mon, 25 Aug 2008 10:31:16 +0200

worker (2.16.5-1) unstable; urgency=low

  * New Upstream Version

 -- Tobias Toedter <toddy@debian.org>  Fri, 04 Jul 2008 17:39:22 +0200

worker (2.16.3-2) unstable; urgency=low

  * Replace Recommends xbase-clients with x11-utils, as the package
    has been split and is now a metapackage
  * Update Standards-Version to 3.8.0, no changes needed

 -- Tobias Toedter <toddy@debian.org>  Mon, 23 Jun 2008 20:42:01 +0200

worker (2.16.3-1) unstable; urgency=low

  * New upstream version
    - Use filetype recognition features from libmagic, therefore
      Build-Depend on libmagic-dev
  * Change maintainer's e-mail address
  * Remove DM upload rights
  * Use hardening-wrapper on all architectures
  * Update checks of configure output
  * Update copyright years for upstream author

 -- Tobias Toedter <toddy@debian.org>  Tue, 22 Apr 2008 16:28:41 +0200

worker (2.16.2-2) unstable; urgency=low

  * Remove macro AC_PATH_XTRA from configure.ac again, because it
    leads to unnecessary dependencies of libSM and libICE on
    arm and hppa.
  * Disable use of hardening-wrapper on m68k, because it results
    in a FTBFS.
  * Update debian/README.source

 -- Tobias Toedter <t.toedter@gmx.net>  Fri, 15 Feb 2008 10:11:59 +0100

worker (2.16.2-1) unstable; urgency=low

  * New upstream version, including the following Debian patches:
    - Removes the undefined macro in the man pages
    - Uses AM_MAINTAINER_MODE in configure.ac
  * The patch to not use AC_PATH_XTRA on Debian systems has not been
    adopted upstream. However, using autoconf 2.61, the macro does
    not pull in additional dependencies, so dropping the patch.
  * As upstream still uses autoconf 2.60, the configure file needs
    to be rebuilt although there are no modifications to configure.ac.
    The reason is that AC_PATH_X has been updated in autoconf to
    find the X libraries without the need for Xt. Mention this in
    README.source.
  * Install man pages in UTF-8 encoding via dh_installman. Therefore,
    the compat level has been updated to 6 and the package
    Build-Depends: debhelper (>= 6.0.5).

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 13 Feb 2008 09:53:42 +0100

worker (2.16.1-2) unstable; urgency=low

  * Build-Depends on hardening-wrapper to enable security features
    and mention that in README.Debian
  * As the program uses g++ for compilation, the specification of
    CFLAGS has not been used for the compiler command line. Switched
    to CXXFLAGS now.
  * Update years in debian/copyright and restructure file to fix a
    Lintian warning
  * Fix Lintian warning in man pages and remove an undefined macro
  * debian/patches:
    - Remove 10_remove-Icons-dir-from-Makefile.diff
      After the installation, the icons which are not needed are now
      removed by debian/rules directly.
    - Minor rewrite of 20_configure.ac.diff
      The tweak for AC_PATH_X is no longer needed, as the macro has been
      updated in autoconf. Furthermore, AC_PATH_XTRA is now called
      by default, except on Linux systems. This way, the patch might
      get included upstream.
    - In order to not confuse readers of the package's source code,
      the directory debian/patches has been removed. The last remaining
      patch has been renamed to debian/configure.ac.patch and is already
      applied in the .diff.gz. Mention this in README.source.

 -- Tobias Toedter <t.toedter@gmx.net>  Mon, 11 Feb 2008 11:46:05 +0100

worker (2.16.1-1) unstable; urgency=low

  * New upstream version
  * Update to Standards-Version 3.7.3:
    - Update reference to full text of GNU GPL in debian/copyright
      to point explicitely to GPL-2 instead of just GPL
    - New menu structure has already been adopted in last upload
  * Remove list of available translations from long description
  * debian/patches:
    - Update 20_configure.ac.diff to apply cleanly, no content changes

 -- Tobias Toedter <t.toedter@gmx.net>  Thu, 13 Dec 2007 19:16:04 +0100

worker (2.16.0-1) unstable; urgency=low

  * New upstream version
  * debian/patches:
    - Remove patch 30_gcc_4.3_fixes.diff, as this is now included
      upstream
    - Update 20_configure.ac.diff to apply cleanly, no content changes
  * debian/control:
    - Update long description (new Czech translation)
    - Use Homepage field
    - Use XS-Dm-Upload-Allowed: yes to allow myself to upload directly
  * Change menu section from "Apps/Tools" to "Applications/File Management"
  * Include new file README.source to document the current build process

 -- Tobias Toedter <t.toedter@gmx.net>  Thu, 29 Nov 2007 16:41:06 +0100

worker (2.15.0-1) unstable; urgency=low

  * New upstream version
    - Add support for UTF-8. Closes: #424059
    - Remove support for browsing tarballs and similar archive files,
      see README.Debian for details
  * Document the missing tarballs support in README.Debian
  * Modify debian/rules to check for current configuration options and
    exclude avfs usage
  * Remove autoconf macro AC_PATH_XTRA from configure.ac, to remove the
    unneeded dependency on libsm and libice
  * Clear up Build-Depends:
    - Remove zlib1g-dev and libbz2-dev, those are no longer supported
      by worker
    - Remove libice-dev and libsm-dev, see above
    - Remove x-dev, this is a dummy package now
  * Add some #include statements in upstream sources to fix FTBFS bugs
    with GCC 4.3. Thanks to Martin Michlmayr for the bug report and
    patch. Closes: #417756
  * Update long description in debian/control
  * Update debian/copyright
  * In debian/rules, exchange "-$(MAKE) distclean" with
    "[ ! -f Makefile ] || $(MAKE) distclean" to enable the script to catch
    errors from the clean target. This fixes a Lintian warning.

 -- Tobias Toedter <t.toedter@gmx.net>  Wed,  4 Jul 2007 21:13:15 +0200

worker (2.11.1-2) unstable; urgency=low

  * Move Standards-Version to 3.7.2, no changes needed

 -- Tobias Toedter <t.toedter@gmx.net>  Sun,  8 Oct 2006 17:06:19 +0200

worker (2.11.1-1) unstable; urgency=low

  * New upstream version
  * Build-Depends:
    - debhelper >= 5.0.0
    - Removed dependencies on xlibs-dev
  * Bumped debhelper compat file from 4 to 5
  * Updated README.Debian with the URL of the documentation wiki and
    rephrased some portions a bit.
  * Removed Suggests: worker-doc, that package will be removed from Debian
  * Added Spanish to the list of translations in the long description
  * Updated copyright file with current year
  * Adapted patches to the new source layout

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 29 Mar 2006 19:53:24 +0200

worker (2.10.2-3) unstable; urgency=low

  * debian/patches
    After the patches in here are applied to upstream's files, autoreconf
    is run to regenerate the necessary files. This is no longer done
    within debian/rules. The purpose is to avoid a build dependency on
    autoconf and automake; the downside is a much larger diff.gz file.
    In effect, the patches are now only included for reference.
  * Build-Depends
    - Added x-dev, libx11-dev, libsm-dev, and libice-dev
    - Removed libxt-dev, the check during configure is patched
    - Removed dpatch
  * debian/rules
    - Removed unnecessary check for stripping the binary, this is already
      covered by dh_strip
  * Updated FSF's postal address in the copyright file

 -- Tobias Toedter <t.toedter@gmx.net>  Fri, 23 Sep 2005 17:36:15 +0200

worker (2.10.2-2) unstable; urgency=low

  * Fixed a bug in the code for checking configure options, which caused
    the build to fail on alpha and ia64. Closes: #323649
  * Dropped the last (fourth) component from the Standards-Version
  * Build-Depends: on libxt-dev instead of xlibs-dev

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 17 Aug 2005 18:14:54 +0200

worker (2.10.2-1) unstable; urgency=low

  * New upstream release
  * Comply with Debian Policy 3.6.2.1, no changes needed
  * xliwrapper_worker:
    - Upstream replaced the binary program xliwrapper_worker with a shell
      script to be able to place it again in /usr/share/worker/scripts
    - The newly introduced mini manpage for xliwrapper_worker has
      been removed
  * Added some checks for correctly enabled/disabled options during
    the configure run. This is intended to make the building process
    more robust and deterministic.
  * debian/rules:
    - Removed unnecessary calls to dh_* scripts
    - Removed some generic comments

 -- Tobias Toedter <t.toedter@gmx.net>  Sun,  7 Aug 2005 18:32:28 +0200

worker (2.10.0-1) unstable; urgency=low

  * New upstream release
  * Removed 20_gcc4_on_amd64.dpatch from the patches subdirectory.
    The code is now included in the upstream sources.
  * Downgraded the package worker-doc from Recommends: to Suggests:
  * Moved the "script" xliwrapper_worker from /usr/share/worker/scripts to
    /usr/bin, because it isn't a script but a compiled binary
  * Wrote a mini manpage for the newly added binary xliwrapper_worker

 -- Tobias Toedter <t.toedter@gmx.net>  Sat, 30 Apr 2005 12:19:56 +0200

worker (2.9.0-2) unstable; urgency=low

  * Applied patch from Andreas Jochens <aj@andaco.de>, which fixes a
    FTBFS error on amd64 using gcc-4.0 (Closes: #289807)
  * Changed the short description to start with a lowercase letter

 -- Tobias Toedter <t.toedter@gmx.net>  Sun, 16 Jan 2005 10:31:23 +0100

worker (2.9.0-1) unstable; urgency=low

  * New upstream release
  * Minor change to the way ./configure is called. This should prevent
    autoconf from always going into cross-compiler mode
  * Removed the note about large file support (>2GB) from README.Debian,
    it seems to work for over a year now
  * Updated the copyright file to the year 2005
  * Updated upstream's contact e-mail address

 -- Tobias Toedter <t.toedter@gmx.net>  Sat,  8 Jan 2005 23:43:11 +0100

worker (2.8.5-1) unstable; urgency=low

  * New upstream release
  * Fixes FTBFS with gcc-3.4: '->' cannot appear in a constant-expression
    (Closes: #264269)
  * Added a watchfile
  * Make use of the dpatch system
  * Build-Depends: on autotools-dev to always get the latest config.sub
    and config.guess

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 11 Aug 2004 21:49:23 +0200

worker (2.8.4-1) unstable; urgency=low

  * New upstream release

 -- Tobias Toedter <t.toedter@gmx.net>  Wed, 17 Mar 2004 20:39:12 +0100

worker (2.8.3-3) unstable; urgency=low

  * Changing the copyright file to say something meaningful about
    the copyright
  * Quoted all strings in the menu file

 -- Tobias Toedter <t.toedter@gmx.net>  Sun,  7 Mar 2004 16:49:19 +0100

worker (2.8.3-2) unstable; urgency=medium

  * Adding worker-doc to Recommends:
  * Adding a note to README.Debian about the new doc package
  * Urgency set to medium, because the changes are really minor

 -- Tobias Toedter <t.toedter@gmx.net>  Mon, 26 Jan 2004 18:52:14 +0100

worker (2.8.3-1) unstable; urgency=low

  * New upstream release (Closes: #222338)

 -- Tobias Toedter <t.toedter@gmx.net>  Mon, 22 Dec 2003 13:20:23 +0100

worker (2.8.1-2) unstable; urgency=low

  * Changed maintainer email address
  * Updated to Standards-Version 3.6.1 for the upcoming release
    (no changes needed)

 -- Tobias Toedter <t.toedter@gmx.net>  Sun,  2 Nov 2003 13:13:43 +0100

worker (2.8.1-1) unstable; urgency=low

  * New upstream release (Closes: #206001)
  * Added the files "AUTHORS" and "README_LARGEFILES" to debian/docs
  * Added a note about large file support in README.Debian

 -- Tobias Toedter <t.toedter@web.de>  Mon, 18 Aug 2003 17:31:10 +0200

worker (2.8.0-2) unstable; urgency=low

  * Worker now uses thousands_sep from LC_NUMERIC for outputting
    file sizes, if available (Closes: #196688)
  * Added "description" to menu file
  * New Standards-Version (3.6.0), apparently no changes needed

 -- Tobias Toedter <t.toedter@web.de>  Mon, 14 Jul 2003 13:28:28 +0200

worker (2.8.0-1) unstable; urgency=low

  * New Maintainer (Closes: #197523)
  * New upstream release (Closes: #196689)
  * New Standards-Version (3.5.10)
  * Uses two icons (16x16 and 32x32) according to new menu policy

 -- Tobias Toedter <t.toedter@web.de>  Fri, 20 Jun 2003 16:37:49 +0200

worker (2.7.0-1) unstable; urgency=high

  * new upstream release
  * security fix -- maliciously named files could have caused problems
  * other cosmetic changes and added features - see ChangeLog

 -- Rick Younie <younie@debian.org>  Sun, 27 Oct 2002 21:43:40 -0800

worker (2.6.1-1) unstable; urgency=low

  * new upstream release
  * Standards-Version 3.5.6
  * fixed compile-bug for gcc >= 3.1
  * the filetypes in the configuration are sorted now
  * the mousewheel can be used to switch buttonbank when using it at
    the clockbar
  * improved diskspace updating, also fixed overflow for percent calculation
    in information mode

 -- Rick Younie <younie@debian.org>  Thu, 22 Aug 2002 06:37:34 -0700

worker (2.6.0-1) unstable; urgency=low

  * new upstream release
  * filetype recognition support added for bzip2 and xpkmaster
  * new command "Script" to create programs for the buttons/hotkeys/filetypes
  * fixed filetype-recognition order so it really first checks the content
    for all types, then the pattern
  * own command allows selecting a program with the file requester
  * show progress in copy-window title
  * numerous other enhancements - see ChangeLog

 -- Rick Younie <younie@debian.org>  Thu, 22 Aug 2002 09:37:34 -0700

worker (2.5.0-1) unstable; urgency=low

  * new upstream release
  * added native chown
  * added focus handling for the gui
  * you can now use as many shortkeys as you want for one button/hotkey/path
  * double shortkeys are also possible now (like Ctrl-x c)
  * filterselect, filterunselect and setfilter now have a history for used
    patterns
  * faster startup (especially for big window)
  * worker now stores the position of the listview correctly when switching
    to other displaymode (informationmode, show image mode)
  * improved speed for filetype recognition (especially for big directories)
  * fixed drawing/refresh problems for delete

 -- Rick Younie <younie@debian.org>  Wed, 29 May 2002 04:48:41 -0700

worker (2.4.0-1) unstable; urgency=low

  * new upstream release
  * thread support added, allows faster filetype recognition
  * polish catalog
  * configuration file import/export window

 -- Rick Younie <younie@debian.org>  Sun,  7 Apr 2002 17:59:53 -0700

worker (2.3.1-1) unstable; urgency=low

  * new upstream release
  * font requester added; turned-down corner tab on buttons with second
    function; middle click to select entry w/o changing state;  other
    functional and cosmetic improvements.  Please see Changelog.

 -- Rick Younie <younie@debian.org>  Mon, 25 Feb 2002 19:02:51 -0800

worker (2.2.2-2) unstable; urgency=low

  * moved to Apps/Tools to lose the lintian warning

 -- Rick Younie <younie@debian.org>  Sat,  1 Sep 2001 14:37:15 -0700

worker (2.2.2-1) unstable; urgency=low

  * new upstream release; improved cut & paste and other enhancements

 -- Rick Younie <younie@debian.org>  Mon,  9 Jul 2001 19:49:54 -0700

worker (2.2.1-1) unstable; urgency=low

  * new upstream release; improved search and minor bug fixes

 -- Rick Younie <younie@debian.org>  Fri, 11 May 2001 05:51:07 -0700

worker (2.2.0-0) unstable; urgency=low

  * new upstream release
  * initial install is automated
  * clockbar is configurable to show time/ram, only the time, the worker
    version (for no system load) and the output of any external program
  * updated french catalog
  * fixed problem with giving a startdir relative to the current dir

 -- Rick Younie <younie@debian.org>  Wed, 21 Mar 2001 20:00:03 -0800

worker (2.1.0-1) unstable; urgency=low

  * new upstream release

 -- Rick Younie <younie@debian.org>  Mon,  5 Mar 2001 19:02:56 -0800

worker (2.0.2-1) unstable; urgency=low

  * new upstream release, adds drag & drop

 -- Rick Younie <younie@debian.org>  Mon,  5 Feb 2001 19:02:48 -0800

worker (2.0.1-1) unstable; urgency=low

  * initial Debian release (Closes: #81423)
  * some minor bug fixes

 -- Rick Younie <younie@debian.org>  Wed, 10 Jan 2001 01:14:20 -0800

worker (2.0.0-1) unstable; urgency=low

  * held this one back at the author's request

 -- Rick Younie <younie@debian.org>  Sun,  7 Jan 2001 23:27:42 -0800
